Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.instance
Class BookInstance

    java.lang.Object
      com.bea.netuix.application.instance.BookInstance

All Implemented Interfaces
  NavigableInstance, PlaceableInstance, Serializable

    public class BookInstance

extends Object
implements NavigableInstance, PlaceableInstance, Serializable

Represents a customized version of a `BookDefinition`.

See Also
  Serialized Form

Constructor Summary
`BookInstance(MenuDefinitionId menuDefinitionId, ThemeDefinitionId themeDefinitionId, short menuOrientation, String instanceTitle)` Constructor to create a new `BookInstance` object.

Method Summary
`BookDefinition` | `getBookDefinition()` Returns the `BookDefinition` that this book was created from.
`BookDefinitionId` | `getBookDefinitionId()` Returns the `BookDefinitionId` for the `BookDefinition` that this book was created from.
`BookInstanceId` | `getBookInstanceId()` Returns the `BookInstanceId` for this book.
`Date` | `getCreatedDate()`
`String` | `getInstanceTitle()` Returns the instance title for this book.
`String` | `getLabel()` Return the unique placeable label.
`MenuDefinitionId` | `getMenuDefinitionId()` Returns `MenuDefinitionId` for menu associated with this `BookInstance`
`short` | `getMenuOrientation()` Returns the menu orientation for this `BookInstance`
`Date` | `getModifiedDate()`
`NavigableDefinition` | `getNavigableDefinition()` Returns the `NavigableDefinition` associated with this book.
`NavigableDefinitionId` | `getNavigableDefinitionId()` Returns the `NavigableDefinitionId` for the `NavigableDefinition` associated with this book.
`NavigableInstanceId` | `getNavigableInstanceId()` Returns the `NavigableInstanceId` for the `NavigableInstance` associated with this book.
`PlaceableDefinition` | `getPlaceableDefinition()` Returns the `PlaceableDefinition` associated with this book.
`PlaceableInstanceId` | `getPlaceableInstanceId()` Returns the `PlaceableInstanceId` for the `PlaceableInstance` associated with this book.
`PlacementId` | `getPlacementId()` Returns the `PlacementId` for this book.
`ThemeDefinitionId` | `getThemeDefinitionId()` Returns the `ThemeDefinitionId` of theme associated with this `BookInstance`.
`void` | `setInstanceTitle(String instanceTitle)` Sets the instance title for this book
`void` | `setMenuDefinitionId(MenuDefinitionId menuDefinitionId)` Associates a menu with this book.
`void` | `setMenuOrientation(short menuOrientation)` Sets the menu orientation for this book
`void` | `setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)` Associates a theme with this book.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BookInstance

    public BookInstance(MenuDefinitionId menuDefinitionId,
                        ThemeDefinitionId themeDefinitionId,
                        short menuOrientation,
                        String instanceTitle)

  Constructor to create a new `BookInstance` object.

  Parameters
    `menuDefinitionId` - reference to a persisted `MenuDefinition` that is the menu for this book
    `themeDefinitionId` - reference to a persisted `ThemeDefinition` that is the theme for this book
    `menuOrientation` - orientation of the menu as defined by
    - `BookView.ORIENTATION_LEFT`
    - `BookView.ORIENTATION_RIGHT`
    - `BookView.ORIENTATION_TOP`
    - `BookView.ORIENTATION_BOTTOM`
    `instanceTitle` - customized title for this instance

Method Detail

### getBookInstanceId

    public BookInstanceId getBookInstanceId()

  Returns the `BookInstanceId` for this book. Returns `NULL` when the BookInstance has not been retrieved by using the persistence API.

  Returns
    `BookInstanceId` for this book

### getBookDefinition

    public BookDefinition getBookDefinition()

  Returns the `BookDefinition` that this book was created from. Returns `NULL` when the BookInstance has not been retrieved by using the persistence API.

  Returns
    `BookDefinition` for this book

### getNavigableDefinition

    public NavigableDefinition getNavigableDefinition()

  Returns the `NavigableDefinition` associated with this book. Returns `NULL` when the BookInstance has not been retrieved by using the persistence API.

  Specified by:
    `getNavigableDefinition` in interface `NavigableInstance`
  Returns
    `NaviagableDefinition` associated with this book
  See Also
    `NavigableDefinition`

### getBookDefinitionId

    public BookDefinitionId getBookDefinitionId()

  Returns the `BookDefinitionId` for the `BookDefinition` that this book was created from. Returns `NULL` when the BookInstance has not been retrieved by using the persistence API.

  Returns
    `BookDefinitionId` for this book

### getPlacementId

    public PlacementId getPlacementId()

  Returns the `PlacementId` for this book. May be `NULL` if this book is not placed or if it has not been retrieved using the persistence API.

  Specified by:
    `getPlacementId` in interface `PlaceableInstance`
  Returns
    `PlacementId` for this book

### getNavigableDefinitionId

    public NavigableDefinitionId getNavigableDefinitionId()

  Returns the `NavigableDefinitionId` for the `NavigableDefinition` associated with this book. Returns `NULL` when the BookInstance has not been retrieved by using the persistence API.

  Specified by:
    `getNavigableDefinitionId` in interface `NavigableInstance`
  Returns
    `NaviagableDefinitionId` associated with this book
  See Also
    `NavigableDefinition`

### getNavigableInstanceId

    public NavigableInstanceId getNavigableInstanceId()

  Returns the `NavigableInstanceId` for the `NavigableInstance` associated with this book. Returns `NULL` when the BookInstance has not been retrieved by using the persistence API.

  Specified by:
    `getNavigableInstanceId` in interface `NavigableInstance`
  Returns
    `NaviagableInstanceId` associated with this book
  See Also
    `NavigableInstance`

### getPlaceableInstanceId

    public PlaceableInstanceId getPlaceableInstanceId()

  Returns the `PlaceableInstanceId` for the `PlaceableInstance` associated with this book. Returns `NULL` when the BookInstance has not been retrieved by using the persistence API.

  Specified by:
    `getPlaceableInstanceId` in interface `PlaceableInstance`
  Returns
    `PlaceableInstanceId` associated with this book
  See Also
    `PlaceableInstance`

### getPlaceableDefinition

    public PlaceableDefinition getPlaceableDefinition()

  Returns the `PlaceableDefinition` associated with this book. Returns `NULL` when the BookInstance has not been retrieved by using the persistence API.

  Specified by:
    `getPlaceableDefinition` in interface `PlaceableInstance`
  Returns
    `PlaceableDefinition` associated with this book
  See Also
    `PlaceableDefinition`

### getMenuDefinitionId

    public MenuDefinitionId getMenuDefinitionId()

  Returns `MenuDefinitionId` for menu associated with this `BookInstance`

  Returns
    `MenuDefinitionId`

### setMenuDefinitionId

    public void setMenuDefinitionId(MenuDefinitionId menuDefinitionId)

  Associates a menu with this book.

  Parameters
    `menuDefinitionId` - of menu associated with this book

### getInstanceTitle

    public String getInstanceTitle()

  Returns the instance title for this book.

  Returns
    instance title

### setInstanceTitle

    public void setInstanceTitle(String instanceTitle)

  Sets the instance title for this book

  Parameters
    `instanceTitle` -

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

  Returns the `ThemeDefinitionId` of theme associated with this `BookInstance`.

  Returns
    `ThemeDefinitionId`

### setThemeDefinitionId

    public void setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)

  Associates a theme with this book.

  Parameters
    `themeDefinitionId` - of theme associated with this book

### getMenuOrientation

    public short getMenuOrientation()

  Returns the menu orientation for this `BookInstance`

  Returns
    menu orientation

### setMenuOrientation

    public void setMenuOrientation(short menuOrientation)

  Sets the menu orientation for this book

  Parameters
    `menuOrientation` -

### getCreatedDate

    public Date getCreatedDate()

### getModifiedDate

    public Date getModifiedDate()

### getLabel

    public String getLabel()

  Description copied from interface: `PlaceableInstance`
  Return the unique placeable label. For books this is the definition label and for portlets this is the instance label.

  Specified by:
    `getLabel` in interface `PlaceableInstance`
  Returns
    label

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.